package com.ruoyi.ibs.task.service;


import com.ruoyi.ibs.task.domain.dto.AppointmentDTO;
import com.ruoyi.ibs.task.domain.entity.AppointmentInfo;
import com.ruoyi.ibs.task.domain.vo.ProductInfoVO;
import com.ruoyi.ibs.task.domain.vo.SearchAppointmentCustVO;

import java.util.List;


public interface AppointmentService {

    int appointmentCust(AppointmentDTO appointmentDTO);

    SearchAppointmentCustVO searchAppointmentCust(String custIdc);

    String claimCust(String custIdc);

    List<AppointmentInfo> searchClaimCustList(String custIdc);

    List<AppointmentInfo> appointmentCustList();

    //指从未走访过的，没有签到记录
    List<AppointmentInfo> appointmentCustListByUserNameFinish(String finish);

    //指预约时间小于completion_time的，包括未签到和签到
    List<AppointmentInfo> appointmentCustListByUnCompleted(String userName);

    List<AppointmentInfo> claimCustList();

    List<ProductInfoVO> getCustProdDetail(String custIdc);

    List<ProductInfoVO> getclaimCustDetail(String custIdc);

    List<ProductInfoVO> getAllProds();
}
